## org.eclipse.emf.ocl.expressions
Class CollectionKind

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.emf.ocl.expressions.CollectionKind

All Implemented Interfaces:
  Serializable, Enumerator

    public final class CollectionKind

extends AbstractEnumerator

See Also:
  Serialized Form

Field Summary
`static int` `BAG`
`static CollectionKind` `BAG_LITERAL` The 'Bag' literal object
`static int` `COLLECTION`
`static CollectionKind` `COLLECTION_LITERAL` The 'Collection' literal object
`static String` `copyright`
`static int` `ORDERED_SET`
`static CollectionKind` `ORDERED_SET_LITERAL` The 'Ordered Set' literal object.
`static int` `SEQUENCE`
`static CollectionKind` `SEQUENCE_LITERAL` The 'Sequence' literal object
`static int` `SET`
`static CollectionKind` `SET_LITERAL` The 'Set' literal object
`static List` `VALUES` A public read-only list of all the 'Collection Kind' enumerators

Method Summary
`CollectionKind` `asNewKind()`
`static CollectionKind` `get(int value)` Returns the 'Collection Kind' literal with the specified integer value
`static CollectionKind` `get(String literal)` Returns the 'Collection Kind' literal with the specified literal value
`static CollectionKind` `getByName(String name)` Returns the 'Collection Kind' literal with the specified name
`static CollectionKind` `getCompatibleKind(CollectionKind kind)`

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

### COLLECTION

    public static final int COLLECTION

See Also:
  Constant Field Values

### SET

    public static final int SET

See Also:
  Constant Field Values

### ORDERED_SET

    public static final int ORDERED_SET

See Also:
  Constant Field Values

### BAG

    public static final int BAG

See Also:
  Constant Field Values

### SEQUENCE

    public static final int SEQUENCE

See Also:
  Constant Field Values

### COLLECTION_LITERAL

    public static final CollectionKind COLLECTION_LITERAL

  The 'Collection' literal object.

  If the meaning of 'Collection' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COLLECTION`

### SET_LITERAL

    public static final CollectionKind SET_LITERAL

  The 'Set' literal object.

  If the meaning of 'Set' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SET`

### ORDERED_SET_LITERAL

    public static final CollectionKind ORDERED_SET_LITERAL

  The 'Ordered Set' literal object.

  See Also:
    `ORDERED_SET`

### BAG_LITERAL

    public static final CollectionKind BAG_LITERAL

  The 'Bag' literal object.

  If the meaning of 'Bag' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BAG`

### SEQUENCE_LITERAL

    public static final CollectionKind SEQUENCE_LITERAL

  The 'Sequence' literal object.

  If the meaning of 'Sequence' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SEQUENCE`

### VALUES

    public static final List VALUES

  A public read-only list of all the 'Collection Kind' enumerators.

Method Detail

### get

    public static CollectionKind get(String literal)

  Returns the 'Collection Kind' literal with the specified literal value.

### getByName

    public static CollectionKind getByName(String name)

  Returns the 'Collection Kind' literal with the specified name.

### get

    public static CollectionKind get(int value)

  Returns the 'Collection Kind' literal with the specified integer value.

### asNewKind

    public CollectionKind asNewKind()

### getCompatibleKind

    public static CollectionKind getCompatibleKind(CollectionKind kind)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.